using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Resources;
using System.Text;
using System.Threading.Tasks;

namespace TIAMWebApp.Shared.Application.Models.PageModels
{
    public class LoginModel
    {
        [Required(ErrorMessage = "The email address value should be specified.")]
        [DataType(DataType.Text)]
        [Display(Name = "Email-string")]
        public string? Email { get; set; }

        [Required(ErrorMessage = "The password should be specified.")]
        [DataType(DataType.Password)]
        [Display(Name = "Login-Password")]
        public string? Password { get; set; }
        
        public LoginModel(string email, string password)
        {
            Email = email;
            Password = password;
        }
    }
}
